Bug 117823 - Crash in: SwMailMergeConfigItem::DocumentReloaded()
Summary: Crash in: SwMailMergeConfigItem::DocumentReloaded()
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: high major
Assignee: Ilhan Yesil
URL:
Whiteboard: target:6.2.0 target:6.0.7 target:6.1.2
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2018-05-26 16:03 UTC by Mike Kaganski
Modified: 2018-09-03 17:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SwMailMergeConfigItem::DocumentReloaded()"]


Attachments
gdb backtrace (35.21 KB, text/plain)
2018-05-28 15:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-05-26 16:03:48 UTC
This bug was filed from the crash reporting server and is br-bb13550a-f6eb-45c5-ab5c-89d68f8eb2a0.
=========================================

1. Start Mail Merge wizard;
2. Select "Create a new document" and click "Next";
3. A new document gets created, and the wizard is shown on second page. Click back.
4. Repeat steps 2 and 3 until crash.
Comment 1 MM 2018-05-26 18:59:35 UTC
Confirmed on windows 7 x64 with Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 3; OS: Windows 6.1; UI render: default

crashreport.libreoffice.org/stats/crash_details/60a1c39a-1cd4-4a72-8f52-01aad4b541e2
Comment 2 Xisco Faulí 2018-05-28 15:24:41 UTC
Regression introduced by:

author	Jan Holesovsky <kendy@collabora.com>	2015-12-22 07:37:07 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-03-18 09:13:56 +0100
commit	00fa85e701d4a8984cfa3a24c9b7a3963b031fa0 (patch)
tree	d39839d40cb14f15981e66ea8168237183c57bcd
parent	906333af8eb920ec9a317088ac3cea433bcc7163 (diff)
mailmerge: Make the SwMailMergeConfigItem instance long-living.
In order for the toolbar to work, we need the SwMailMergeConfigItem instance
in the view living even when the mail merge wizard is not around.

With this change, there's a small glitch that the SwMailMergeChildWindow
sometimes stays open even when we leave the wizard, but I plan to remove this
window / button anyway, so no real harm at the moment.

Bisected with: bibisect-linux-64-5.2

Adding Cc: to Jan Holesovsky
Comment 3 Xisco Faulí 2018-05-28 15:31:59 UTC
Created attachment 142348 [details]
gdb backtrace
Comment 4 Commit Notification 2018-08-30 11:53:30 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d847ff825c1c94286e8ab864a88fc5375d9341c

tdf#117823 Save mail merge config item in new view

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-08-30 15:27:07 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55498d196c31c098b02da5f4638fc0ca155b60b4&h=libreoffice-6-0

tdf#117823 Save mail merge config item in new view

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-08-30 15:27:17 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb954f0486b78131876b92190d840ba1b1636eb4&h=libreoffice-6-1

tdf#117823 Save mail merge config item in new view

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-09-03 17:53:18 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 4b5fcd417587cfb9e6d8b61ecb037ab165eeb5b9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Ilhan Yesil, Thanks for fixing this!!!